# Uses of Interface
java.lang.classfile.TypeAnnotation.SupertypeTarget

Packages that use TypeAnnotation.SupertypeTarget
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.

## Uses of TypeAnnotation.SupertypeTarget in java.lang.classfile

Methods in java.lang.classfile that return TypeAnnotation.SupertypeTarget
Modifier and Type
Method
Description
`static TypeAnnotation.SupertypeTarget`
TypeAnnotation.TargetInfo.`ofClassExtends(int supertypeIndex)`
Returns a target for annotations on the type of an "extends" or "implements" clause.